Support » Plugin: My Calendar » [Plugin: My Calendar] Update now does not function in 1.7

  • Resolved Brian Zoetewey

    (@omicron7)


    The “Update Now” button to upgrade the database does not function properly in when upgrading from a previous version. It appears that the _wpnonce is not in the form and therefore results in a “Security check failed” being output to the screen and the database not upgrading.

    Line 107 of my-calendar-settings.php outputs the error.
    my-calendar-upgrade-db.php displays the Update now submit button.

    http://wordpress.org/extend/plugins/my-calendar/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Joe Dolson

    (@joedolson)

    Will be resolved in version 1.7.1 – Thanks!

    Is there a quick fix for this, as it appears to be a similar problem when trying to import from Calendar with _wpnonce?

    For me, I edited the files I needed and added the necessary _wponce hidden input field.
    <input type="hidden" name="_wpnonce" value="<?php echo wp_create_nonce('my-calendar-nonce'); ?>" />

    Plugin Author Joe Dolson

    (@joedolson)

    Yep, that was another oversight. Will get that update out soon, as well. Sigh. Thanks for contributing a fix for people, Omicron7.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: My Calendar] Update now does not function in 1.7’ is closed to new replies.